## libmikmod 3.3.10

=== debian/changelog ===
libmikmod (3.3.10-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 Sep 2016 23:15:36 +0200

libmikmod (3.3.9-1) unstable; urgency=medium

  * New upstream version.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Aug 2016 22:46:52 +0200
