=== debian/changelog ===
libmikmod (3.3.11.1-4) unstable; urgency=medium

  * Migrate to Salsa.
  * Install examples in libmikmod-dev.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 13:31:33 +0200

libmikmod (3.3.11.1-3) unstable; urgency=medium

  * Fix libmikmod-config so it doesn’t require all the build-dependent
    libraries, just -lmikmod (closes: #879706).

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Oct 2017 13:32:20 +0200

libmikmod (3.3.11.1-2) unstable; urgency=medium

  * Build with SDL2, which involves switching from cmake back to autotools
    since the cmake build doesn’t support SDL2 (closes: #870024).
  * Standard-Version 4.1.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 20 Oct 2017 21:21:10 +0200

libmikmod (3.3.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Correctly replace the version number in libmikmod-config’s manpage.
  * Switch to debhelper compatibility level 10.
  * Switch to https URL for the debian/copyright format.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jul 2017 13:34:40 +0200

libmikmod (3.3.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 21:39:54 +0200
