=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libasound2-dev [linux-any],
                libopenal-dev,
                libpulse-dev,
-               libsdl1.2-dev,
+               libsdl2-dev,
                texinfo
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmikmod.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmikmod.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/mod-player-team/libmikmod
+Vcs-Git: https://salsa.debian.org/mod-player-team/libmikmod.git
 Homepage: http://mikmod.sf.net/
 
 Package: libmikmod-dev
