=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

ENABLED = --disable-esd
ENABLED += --enable-openal
ENABLED += --enable-sdl --enable-sdl2
# Only enable ALSA on Linux
ifeq ($(DEB_HOST_ARCH_OS), linux)
  ENABLED += --enable-alsa
else
  ENABLED += --disable-alsa
endif

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_configure:
	dh_auto_configure -- $(ENABLED)

override_dh_installman:
	sed 's/@LIBMIKMOD_VERSION@/$(DEB_VERSION_UPSTREAM)/g' < docs/libmikmod-config.1.in > build/docs/libmikmod-config.1
	dh_installman

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@
