=== debian/watch ===
version=3
http://sf.net/mikmod/libmikmod-(.+)\.tar\.gz
