=== debian/changelog ===
libmikmod (3.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Jan 2025 17:47:24 +0100

libmikmod (3.3.11.1-8) unstable; urgency=medium

  * Drop the libmikmod-config transitional package, it’s no longer
    useful. Closes: #1038273.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Oct 2024 18:43:58 +0200

libmikmod (3.3.11.1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/libmikmod3.lintian-overrides on
    line 3.
  * Update standards version to 4.6.2, no changes needed.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 22:49:46 +0100

libmikmod (3.3.11.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Stephen Kitt ]
  * Bump debian/watch version.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Jan 2021 16:04:50 +0100

libmikmod (3.3.11.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

  [ Stephen Kitt ]
  * Set “Rules-Requires-Root: no”.
  * Add Build-Depends-Package entry to the symbols file.
  * Install manpages, info files, and autoconf m4 macros from the
    installation locations instead of the source tree, to simplify
    dh_missing tracking.
  * Merge libmikmod-config back into libmikmod-dev, since the eponymous
    script is no longer arch-dependent.
  * Drop references to libmikmod2-dev, long obsolete.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2020 21:14:23 +0200
