=== amiga/Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 include gcc_aos4.mk
 endif
 
+# disable support for module depackers
+#CPPFLAGS_LIB+=-DNO_DEPACKERS
 # disable the high quality mixer (build only with the standart mixer)
 #CPPFLAGS_LIB+=-DNO_HQMIXER
