=== examples/simpleplayMEM2/Makefile ===
--- 
+++ 
@@ -17,9 +17,8 @@
 all: $(OBJS)
 	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)
 
-%.o: %.c %.h
+.c.o:
 	$(CC) $(CFLAGS) -c $<
 
 clean:
 	rm -f *.o $(PROG)
-
