=== debian/changelog ===
libmikmod (3.3.13-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 May 2025 17:17:43 +0200
