=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libpulse-dev,
                libsdl2-dev,
                texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/mod-player-team/libmikmod
 Vcs-Git: https://salsa.debian.org/mod-player-team/libmikmod.git
 Homepage: http://mikmod.sf.net/
