=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(ENABLED)
 
-override_dh_installman:
-	sed 's/@LIBMIKMOD_VERSION@/$(DEB_VERSION_UPSTREAM)/g' < docs/libmikmod-config.1.in > build/docs/libmikmod-config.1
-	dh_installman
+override_dh_installchangelogs-arch:
+	dh_installchangelogs -a NEWS
 
-override_dh_installinfo:
-	dh_installinfo docs/mikmod.info*
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a NEWS
+override_dh_missing:
+	dh_missing -X.la
 
 %:
 	dh $@
